Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001878TestLinkNew Featurepublic2008-11-18 03:512013-05-20 19:33
ReporterLaurent 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 1 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0001878: BTS - Support for multiple BTS per installation
DescriptionWe are currently migrating from one BTS (Bugzilla) to another (JIRA). At the present time, Testlink only supports the definition for a single adapter which is available across the board.

It would be very useful to be able to define more than one adapter and be able to select which adapter to use when creating a project. hence we could have a project using BugZilla while another one could be using Jira.

This is a model used by redmine for instance for repositories.
Additional InformationFurthermore, it would be even better to be able to select the adapter on a per occurrence basis. For example, our projects are being re-used across multiple versions our product live cycle. There might be a need from other people for such feature (we have over 9000 test cases and such migration is difficult).

P.S.: Great job on 1.8. The Test Specification Tree refresh went from 45 seconds to less than 3.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserN/A
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0004643)
fman (administrator)
2008-11-19 02:10

>> Furthermore, it would be even better to be able to select the adapter on a per occurrence basis

Explain better please
(0004644)
Laurent (reporter)
2008-11-19 06:16

Basically, be able to select the adapter to use rather then the default (optional). For instance, let say we have 2 adapters (Bugzilla, JIRA) then someone could assign a bug from either one database.

I work for a semi conductor company. We have to deal with VLSI and software, often time working off different bug tracking system.

I hope this clarifies things. This is really icing on the cake. But on a per project basis would be great.
(0004661)
schlundus (reporter)
2008-11-20 04:08

Yes I think it may be useful, but i believe (as you've stated) a per project basis should be sufficient.
In my opinion a 1:1 relationship of project to bugtracking makes sense
1:n seems overkill (-:
(0004670)
Laurent (reporter)
2008-11-20 12:18

You are right. After thinking about it, I think 1:1 is fine. We have very long lived projects and we will soon encounter a case where there will be a transition (i.e. one version on bugzilla and the new one on Mantis) but we will just have to bite the bullet.

Thanks again for this great system. So far 1.8 RC1 has been working pretty well for us.
(0004678)
mhavlat (reporter)
2008-11-21 01:05

Yes. It makes sense for me too.
So there could be a new parameter for test project, that define used tracker. Admin can choose it via GUI.
Configuration file should define which tracker are allowed.

(0007874)
Laurent (reporter)
2009-08-30 02:58

Believe it or not we now have an 1:n relationship. Basically, we maintain two bug database (one internal and one external for our customers). Also, our products have dependencies on sub-system which use different databases.

So here is a real use case. But obviously a 1:1 relationship will work fine as well (We currently tie the dependencies between bug databases in the databases themselves).
(0012270)
volker.herren (reporter)
2010-11-04 10:00

This feature would also be of vital interest for our company. We have hundreds of projects each of them having to deal with a different bug tracking system (Jira, SourceForgem, TeamForge, Bugzilla,...)
A 1:1 relation between project and BTS would be highly appreciated.
When is this planned?
(0012271)
fman (administrator)
2010-11-04 10:08

There are no plans.
We can accept contribution is you are able to develop it.

- Issue History
Date Modified Username Field Change
2008-11-18 03:51 Laurent New Issue
2008-11-18 03:51 Laurent Browser => N/A
2008-11-19 02:10 fman Note Added: 0004643
2008-11-19 06:16 Laurent Note Added: 0004644
2008-11-20 04:08 schlundus Note Added: 0004661
2008-11-20 12:18 Laurent Note Added: 0004670
2008-11-21 01:05 mhavlat Note Added: 0004678
2008-11-21 01:05 mhavlat Status new => acknowledged
2008-11-27 03:03 schlundus Severity major => feature request
2009-08-30 02:58 Laurent Note Added: 0007874
2010-11-04 10:00 volker.herren Note Added: 0012270
2010-11-04 10:08 fman Note Added: 0012271
2013-05-20 19:33 fman QA Team - Task Workflow Status => READY FOR TESTING
2013-05-20 19:33 fman Status acknowledged => closed
2013-05-20 19:33 fman Assigned To => fman
2013-05-20 19:33 fman Resolution open => fixed
2013-05-20 19:33 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker